org.apache.poi.hslf.usermodel

## Class HSLFShapePlaceholderDetails

- java.lang.Object
- - org.apache.poi.hslf.usermodel.HSLFPlaceholderDetails
  - - org.apache.poi.hslf.usermodel.HSLFShapePlaceholderDetails

- All Implemented Interfaces:
    PlaceholderDetails

      public class HSLFShapePlaceholderDetails
      extends HSLFPlaceholderDetails

  Extended placeholder details for HSLF shapes
  Since:
    POI 4.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.poi.sl.usermodel.PlaceholderDetails

      `PlaceholderDetails.PlaceholderSize`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Placeholder` | `getPlaceholder()`
    `PlaceholderDetails.PlaceholderSize` | `getSize()`
    `void` | `setPlaceholder(Placeholder placeholder)` Specifies that the corresponding shape should be represented by the generating application as a placeholder.
    `void` | `setSize(PlaceholderDetails.PlaceholderSize size)`

    - ### Methods inherited from class org.apache.poi.hslf.usermodel.HSLFPlaceholderDetails

      `getText, isVisible, setText, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPlaceholder

          public Placeholder getPlaceholder()

      Specified by:
        `getPlaceholder` in interface `PlaceholderDetails`
      Overrides:
        `getPlaceholder` in class `HSLFPlaceholderDetails`

    - #### setPlaceholder

          public void setPlaceholder(Placeholder placeholder)

      Description copied from interface: `PlaceholderDetails`
      Specifies that the corresponding shape should be represented by the generating application as a placeholder. When a shape is considered a placeholder by the generating application it can have special properties to alert the user that they may enter content into the shape. Different types of placeholders are allowed and can be specified by using the placeholder type attribute for this element
      Specified by:
        `setPlaceholder` in interface `PlaceholderDetails`
      Overrides:
        `setPlaceholder` in class `HSLFPlaceholderDetails`
      Parameters:
        `placeholder` - The shape to use as placeholder or null if no placeholder should be set.

    - #### getSize

          public PlaceholderDetails.PlaceholderSize getSize()

      Specified by:
        `getSize` in interface `PlaceholderDetails`
      Overrides:
        `getSize` in class `HSLFPlaceholderDetails`

    - #### setSize

          public void setSize(PlaceholderDetails.PlaceholderSize size)

      Specified by:
        `setSize` in interface `PlaceholderDetails`
      Overrides:
        `setSize` in class `HSLFPlaceholderDetails`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.